"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileFromPath = exports.toFile = exports.UnprocessableEntityError = exports.PermissionDeniedError = exports.InternalServerError = exports.AuthenticationError = exports.BadRequestError = exports.RateLimitError = exports.ConflictError = exports.NotFoundError = exports.APIUserAbortError = exports.APIConnectionTimeoutError = exports.APIConnectionError = exports.APIError = exports.DhanSDKError = exports.DhanSDK = void 0;
const Errors = __importStar(require("./error.js"));
const Uploads = __importStar(require("./uploads.js"));
const Core = __importStar(require("./core.js"));
const API = __importStar(require("./resources/index.js"));
/**
 * API Client for interfacing with the Dhan SDK API.
 */
class DhanSDK extends Core.APIClient {
    /**
     * API Client for interfacing with the Dhan SDK API.
     *
     * @param {string} [opts.baseURL=process.env['DHAN_SDK_BASE_URL'] ?? https://api.dhan.co/v2] - Override the default base URL for the API.
     * @param {number} [opts.timeout=1 minute] - The maximum amount of time (in milliseconds) the client will wait for a response before timing out.
     * @param {number} [opts.httpAgent] - An HTTP agent used to manage HTTP(s) connections.
     * @param {Core.Fetch} [opts.fetch] - Specify a custom `fetch` function implementation.
     * @param {number} [opts.maxRetries=2] - The maximum number of times the client will retry a request.
     * @param {Core.Headers} opts.defaultHeaders - Default headers to include with every request to the API.
     * @param {Core.DefaultQuery} opts.defaultQuery - Default query parameters to include with every request to the API.
     */
    constructor({ baseURL = Core.readEnv('DHAN_SDK_BASE_URL'), ...opts } = {}) {
        const options = {
            ...opts,
            baseURL: baseURL || `https://api.dhan.co/v2`,
        };
        super({
            baseURL: options.baseURL,
            timeout: options.timeout ?? 60000 /* 1 minute */,
            httpAgent: options.httpAgent,
            maxRetries: options.maxRetries,
            fetch: options.fetch,
        });
        this.orders = new API.Orders(this);
        this.trades = new API.Trades(this);
        this.foreverOrders = new API.ForeverOrders(this);
        this.positions = new API.Positions(this);
        this.holdings = new API.Holdings(this);
        this.edis = new API.Edis(this);
        this.killswitch = new API.KillswitchResource(this);
        this.margincalculator = new API.Margincalculator(this);
        this.funds = new API.Funds(this);
        this.statements = new API.Statements(this);
        this.charts = new API.Charts(this);
        this._options = options;
    }
    defaultQuery() {
        return this._options.defaultQuery;
    }
    defaultHeaders(opts) {
        return {
            ...super.defaultHeaders(opts),
            ...this._options.defaultHeaders,
        };
    }
}
exports.DhanSDK = DhanSDK;
_a = DhanSDK;
DhanSDK.DhanSDK = _a;
DhanSDK.DEFAULT_TIMEOUT = 60000; // 1 minute
DhanSDK.DhanSDKError = Errors.DhanSDKError;
DhanSDK.APIError = Errors.APIError;
DhanSDK.APIConnectionError = Errors.APIConnectionError;
DhanSDK.APIConnectionTimeoutError = Errors.APIConnectionTimeoutError;
DhanSDK.APIUserAbortError = Errors.APIUserAbortError;
DhanSDK.NotFoundError = Errors.NotFoundError;
DhanSDK.ConflictError = Errors.ConflictError;
DhanSDK.RateLimitError = Errors.RateLimitError;
DhanSDK.BadRequestError = Errors.BadRequestError;
DhanSDK.AuthenticationError = Errors.AuthenticationError;
DhanSDK.InternalServerError = Errors.InternalServerError;
DhanSDK.PermissionDeniedError = Errors.PermissionDeniedError;
DhanSDK.UnprocessableEntityError = Errors.UnprocessableEntityError;
DhanSDK.toFile = Uploads.toFile;
DhanSDK.fileFromPath = Uploads.fileFromPath;
exports.DhanSDKError = Errors.DhanSDKError, exports.APIError = Errors.APIError, exports.APIConnectionError = Errors.APIConnectionError, exports.APIConnectionTimeoutError = Errors.APIConnectionTimeoutError, exports.APIUserAbortError = Errors.APIUserAbortError, exports.NotFoundError = Errors.NotFoundError, exports.ConflictError = Errors.ConflictError, exports.RateLimitError = Errors.RateLimitError, exports.BadRequestError = Errors.BadRequestError, exports.AuthenticationError = Errors.AuthenticationError, exports.InternalServerError = Errors.InternalServerError, exports.PermissionDeniedError = Errors.PermissionDeniedError, exports.UnprocessableEntityError = Errors.UnprocessableEntityError;
exports.toFile = Uploads.toFile;
exports.fileFromPath = Uploads.fileFromPath;
(function (DhanSDK) {
    DhanSDK.Orders = API.Orders;
    DhanSDK.Trades = API.Trades;
    DhanSDK.ForeverOrders = API.ForeverOrders;
    DhanSDK.Positions = API.Positions;
    DhanSDK.Holdings = API.Holdings;
    DhanSDK.Edis = API.Edis;
    DhanSDK.KillswitchResource = API.KillswitchResource;
    DhanSDK.Margincalculator = API.Margincalculator;
    DhanSDK.Funds = API.Funds;
    DhanSDK.Statements = API.Statements;
    DhanSDK.Charts = API.Charts;
})(DhanSDK = exports.DhanSDK || (exports.DhanSDK = {}));
exports = module.exports = DhanSDK;
exports.default = DhanSDK;
//# sourceMappingURL=index.js.map