"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Charts = void 0;
const resource_1 = require("../resource.js");
class Charts extends resource_1.APIResource {
    /**
     * Retrieve OHLC & Volume of daily candle for desired instrument. The data for any
     * scrip is available back upto the date of its inception.
     */
    historical(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/charts/historical', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Retrieve OHLC & Volume of minute candle for desired instrument for current day.
     * This data available for all segments including futures & options.
     */
    intraday(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/charts/intraday', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.Charts = Charts;
(function (Charts) {
})(Charts = exports.Charts || (exports.Charts = {}));
//# sourceMappingURL=charts.js.map