// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../resource.mjs";
export class Charts extends APIResource {
    /**
     * Retrieve OHLC & Volume of daily candle for desired instrument. The data for any
     * scrip is available back upto the date of its inception.
     */
    historical(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/charts/historical', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Retrieve OHLC & Volume of minute candle for desired instrument for current day.
     * This data available for all segments including futures & options.
     */
    intraday(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/charts/intraday', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
(function (Charts) {
})(Charts || (Charts = {}));
//# sourceMappingURL=charts.mjs.map