"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Edis = void 0;
const resource_1 = require("../../resource.js");
const TpinAPI = __importStar(require("./tpin.js"));
class Edis extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.tpin = new TpinAPI.Tpin(this._client);
    }
    /**
     * Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS
     * approval. Partner has to render this form at their end to unescape.
     */
    bulkform(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/edis/bulkform', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS
     * approval. Partner has to render this form at their end to unescape.
     */
    form(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/edis/form', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows user to check the edis status of the securities. User have to
     * enter isin of the stock. An international securities identification number
     * (ISIN) is a 12-digit alphanumeric code that uniquely identifies a specific
     * security. You can get ISIN of portfolio stocks, in response of holdings api.Or
     * use ALL as a special case to query all holdings' edis auth status
     */
    inquire(isin, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/edis/inquire/${isin}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.Edis = Edis;
(function (Edis) {
    Edis.Tpin = TpinAPI.Tpin;
})(Edis = exports.Edis || (exports.Edis = {}));
//# sourceMappingURL=edis.js.map