// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import * as TpinAPI from "./tpin.mjs";
export class Edis extends APIResource {
    constructor() {
        super(...arguments);
        this.tpin = new TpinAPI.Tpin(this._client);
    }
    /**
     * Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS
     * approval. Partner has to render this form at their end to unescape.
     */
    bulkform(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/edis/bulkform', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS
     * approval. Partner has to render this form at their end to unescape.
     */
    form(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/edis/form', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows user to check the edis status of the securities. User have to
     * enter isin of the stock. An international securities identification number
     * (ISIN) is a 12-digit alphanumeric code that uniquely identifies a specific
     * security. You can get ISIN of portfolio stocks, in response of holdings api.Or
     * use ALL as a special case to query all holdings' edis auth status
     */
    inquire(isin, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/edis/inquire/${isin}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
(function (Edis) {
    Edis.Tpin = TpinAPI.Tpin;
})(Edis || (Edis = {}));
//# sourceMappingURL=edis.mjs.map