"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForeverOrders = void 0;
const resource_1 = require("../resource.js");
class ForeverOrders extends resource_1.APIResource {
    /**
     * The order request api allows you place a new forever order.
     */
    create(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/forever/orders', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you to modify pending forever order in orderbook. The fields that
     * can be modified are price, quantity and order type.
     */
    update(orderId, params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.put(`/forever/orders/${orderId}`, {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you to retrieve an array of all forever orders placed with their
     * last updated status.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/forever/orders', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you to cancel existing forever order.
     */
    delete(orderId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.delete(`/forever/orders/${orderId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.ForeverOrders = ForeverOrders;
(function (ForeverOrders) {
})(ForeverOrders = exports.ForeverOrders || (exports.ForeverOrders = {}));
//# sourceMappingURL=forever-orders.js.map