import { APIResource } from "../resource.js";
import * as Core from "../core.js";
import * as FundsAPI from "./funds.js";
export declare class Funds extends APIResource {
    /**
     * Get all information of your trading account like balance, margin utilised,
     * collateral, etc.
     */
    limit(params: FundLimitParams, options?: Core.RequestOptions): Core.APIPromise<FundLimit>;
}
export interface FundLimit {
    /**
     * Available balance to trade
     */
    availabelBalance?: number;
    /**
     * Amount blocked against payout request
     */
    blockedPayoutAmount?: number;
    /**
     * Amount received against collateral
     */
    collateralAmount?: number;
    /**
     * User specific identification generated by Dhan
     */
    dhanClientId?: string;
    /**
     * Amount available against selling deliveries
     */
    receiveableAmount?: number;
    /**
     * Start of the day amount
     */
    sodLimit?: number;
    /**
     * Amount utilised in the day
     */
    utilizedAmount?: number;
    /**
     * Amount available to withdraw to bank
     */
    withdrawableBalance?: number;
}
export interface FundLimitParams {
    'access-token': string;
}
export declare namespace Funds {
    export import FundLimit = FundsAPI.FundLimit;
    export import FundLimitParams = FundsAPI.FundLimitParams;
}
//# sourceMappingURL=funds.d.ts.map