import { APIResource } from "../resource.js";
import * as Core from "../core.js";
import * as KillswitchAPI from "./killswitch.js";
export declare class KillswitchResource extends APIResource {
    /**
     * The api allows you to control killSwitch for your account, which will disable
     * trading for current trading day
     */
    control(params: KillswitchControlParams, options?: Core.RequestOptions): Core.APIPromise<Killswitch>;
}
export interface Killswitch {
    /**
     * User specific identification generated by Dhan
     */
    dhanClientId?: string;
    /**
     * | **Enum Values** | **Description**        |
     * | --------------- | ---------------------- |
     * | ACTIVATE        | KillSwitch Activated   |
     * | DEACTIVATE      | KillSwitch Deactivated |
     */
    killSwitchStatus?: string;
}
export interface KillswitchControlParams {
    /**
     * Query param:
     */
    killSwitchStatus: string;
    /**
     * Header param:
     */
    'access-token': string;
}
export declare namespace KillswitchResource {
    export import Killswitch = KillswitchAPI.Killswitch;
    export import KillswitchControlParams = KillswitchAPI.KillswitchControlParams;
}
//# sourceMappingURL=killswitch.d.ts.map