import { APIResource } from "../../resource.js";
import * as Core from "../../core.js";
import * as ExternalAPI from "./external.js";
import * as Shared from "../shared.js";
export declare class External extends APIResource {
    /**
     * The api allows you to retrieve the details of an order placed during the day,
     * with its most recent status, using a correlation id provided by the API consumer
     * at the time of order placement. This feature is available in case the user has
     * missed the order id for any reason.
     */
    retrieve(correlationId: string, params: ExternalRetrieveParams, options?: Core.RequestOptions): Core.APIPromise<Shared.Order>;
}
export interface ExternalRetrieveParams {
    'access-token': string;
}
export declare namespace External {
    export import ExternalRetrieveParams = ExternalAPI.ExternalRetrieveParams;
}
//# sourceMappingURL=external.d.ts.map