"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.External = void 0;
const resource_1 = require("../../resource.js");
class External extends resource_1.APIResource {
    /**
     * The api allows you to retrieve the details of an order placed during the day,
     * with its most recent status, using a correlation id provided by the API consumer
     * at the time of order placement. This feature is available in case the user has
     * missed the order id for any reason.
     */
    retrieve(correlationId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/orders/external/${correlationId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.External = External;
(function (External) {
})(External = exports.External || (exports.External = {}));
//# sourceMappingURL=external.js.map