"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Orders = void 0;
const resource_1 = require("../../resource.js");
const ExternalAPI = __importStar(require("./external.js"));
class Orders extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.external = new ExternalAPI.External(this._client);
    }
    /**
     * The order request API allows you to place new order.
     */
    create(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/orders', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you to retrieve the details of an order placed during the day
     * with their last updated status, with their order id.
     */
    retrieve(orderId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/orders/${orderId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you modify pending order in orderbook. The fields that can be
     * modified are price, quantity, order type & validity.
     */
    update(orderId, params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.put(`/orders/${orderId}`, {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The API lets you retrieve an array of all orders requested in a day with their
     * last updated status.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/orders', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you to cancel a pending order using the order id
     */
    delete(orderId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.delete(`/orders/${orderId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The order request API allows you to place a new slice order.
     */
    slicing(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/orders/slicing', {
            body,
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.Orders = Orders;
(function (Orders) {
    Orders.External = ExternalAPI.External;
})(Orders = exports.Orders || (exports.Orders = {}));
//# sourceMappingURL=orders.js.map