"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Positions = void 0;
const resource_1 = require("../resource.js");
class Positions extends resource_1.APIResource {
    /**
     * Users can retrieve a list of all open positions for the day. This includes all
     * F&O carryforward positions as well.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/positions', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Users can convert their open position from intraday to delivery or delivery to
     * intraday.
     */
    convert(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/positions/convert', {
            body,
            ...options,
            headers: { Accept: '*/*', 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.Positions = Positions;
(function (Positions) {
})(Positions = exports.Positions || (exports.Positions = {}));
//# sourceMappingURL=positions.js.map