// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../resource.mjs";
export class Positions extends APIResource {
    /**
     * Users can retrieve a list of all open positions for the day. This includes all
     * F&O carryforward positions as well.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/positions', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * Users can convert their open position from intraday to delivery or delivery to
     * intraday.
     */
    convert(params, options) {
        const { 'access-token': accessToken, ...body } = params;
        return this._client.post('/positions/convert', {
            body,
            ...options,
            headers: { Accept: '*/*', 'access-token': accessToken, ...options?.headers },
        });
    }
}
(function (Positions) {
})(Positions || (Positions = {}));
//# sourceMappingURL=positions.mjs.map