import { APIResource } from "../resource.js";
import * as Core from "../core.js";
import * as StatementsAPI from "./statements.js";
export declare class Statements extends APIResource {
    /**
     * The api allows user to fetch trading account ledger with all credit and debit
     * transaction details
     */
    ledger(params: StatementLedgerParams, options?: Core.RequestOptions): Core.APIPromise<Ledger>;
}
export interface Ledger {
    /**
     * credited amount
     */
    credit?: string;
    /**
     * debited amount
     */
    debit?: string;
    /**
     * User specific identification generated by Dhan
     */
    dhanClientId?: string;
    /**
     * exchange name
     */
    exchange?: string;
    /**
     * narration
     */
    narration?: string;
    /**
     * runnable balance
     */
    runbal?: string;
    /**
     * voucher date
     */
    voucherdate?: string;
    /**
     * voucher decscription
     */
    voucherdesc?: string;
    /**
     * voucher number
     */
    vouchernumber?: string;
}
export interface StatementLedgerParams {
    /**
     * Header param:
     */
    'access-token': string;
    /**
     * Query param: date format : yyyy-MM-dd
     */
    'from-date'?: string;
    /**
     * Query param: date format : yyyy-MM-dd
     */
    'to-date'?: string;
}
export declare namespace Statements {
    export import Ledger = StatementsAPI.Ledger;
    export import StatementLedgerParams = StatementsAPI.StatementLedgerParams;
}
//# sourceMappingURL=statements.d.ts.map