"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trades = void 0;
const resource_1 = require("../../resource.js");
const HistoryAPI = __importStar(require("./history.js"));
class Trades extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.history = new HistoryAPI.History(this._client);
    }
    /**
     * The api allows user to retrieve trade details using an order id. Often during
     * partial trades or Bracket/ Cover Orders, traders get confused in reading trade
     * from tradebook. The response of this API will include all the trades generated
     * for a particular order id.
     */
    retrieve(orderId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/trades/${orderId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you retrieve an array of all trades executed in a day.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/trades', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
exports.Trades = Trades;
(function (Trades) {
    Trades.History = HistoryAPI.History;
})(Trades = exports.Trades || (exports.Trades = {}));
//# sourceMappingURL=trades.js.map