// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../resource.mjs";
import * as HistoryAPI from "./history.mjs";
export class Trades extends APIResource {
    constructor() {
        super(...arguments);
        this.history = new HistoryAPI.History(this._client);
    }
    /**
     * The api allows user to retrieve trade details using an order id. Often during
     * partial trades or Bracket/ Cover Orders, traders get confused in reading trade
     * from tradebook. The response of this API will include all the trades generated
     * for a particular order id.
     */
    retrieve(orderId, params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get(`/trades/${orderId}`, {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
    /**
     * The api allows you retrieve an array of all trades executed in a day.
     */
    list(params, options) {
        const { 'access-token': accessToken } = params;
        return this._client.get('/trades', {
            ...options,
            headers: { 'access-token': accessToken, ...options?.headers },
        });
    }
}
(function (Trades) {
    Trades.History = HistoryAPI.History;
})(Trades || (Trades = {}));
//# sourceMappingURL=trades.mjs.map