// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

import { APIResource } from '../resource';
import * as Core from '../core';
import * as KillswitchAPI from './killswitch';

export class KillswitchResource extends APIResource {
  /**
   * The api allows you to control killSwitch for your account, which will disable
   * trading for current trading day
   */
  control(params: KillswitchControlParams, options?: Core.RequestOptions): Core.APIPromise<Killswitch> {
    const { killSwitchStatus, 'access-token': accessToken } = params;
    return this._client.post('/killswitch', {
      query: { killSwitchStatus },
      ...options,
      headers: { 'access-token': accessToken, ...options?.headers },
    });
  }
}

export interface Killswitch {
  /**
   * User specific identification generated by Dhan
   */
  dhanClientId?: string;

  /**
   * | **Enum Values** | **Description**        |
   * | --------------- | ---------------------- |
   * | ACTIVATE        | KillSwitch Activated   |
   * | DEACTIVATE      | KillSwitch Deactivated |
   */
  killSwitchStatus?: string;
}

export interface KillswitchControlParams {
  /**
   * Query param:
   */
  killSwitchStatus: string;

  /**
   * Header param:
   */
  'access-token': string;
}

export namespace KillswitchResource {
  export import Killswitch = KillswitchAPI.Killswitch;
  export import KillswitchControlParams = KillswitchAPI.KillswitchControlParams;
}
